Application: gvSIG desktop - gvSIG bugs #4323

Envelope3D.convert(lICoordTrans trans) produces wrong result

08/17/2016 06:52 PM - Cesar Martinez lzquierdo

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category:

Target version:

2.3.0-2442 (rev. org.gvsig.desktop-2.0.140)

Severity: Minor Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Yes Hito:

Add-on name: Unknown

Description

There is some mistakes in Envelope3D.convert(ICoordTrans trans)
- it returns the x coordinate twice: (x, X, z) instead of (x, y, z)

- it returns a cloned Envelope2D if the transformation is null (instead

which produces incorrect converted values:

of a cloned Envelope3D)

Associated revisions

Revision 42930 - 08/21/2016 11:06 AM - Joaquin del Cerro Murciano

refs #4323, patch from Cesar Martinez. Fix mistakes in Envelope3D.convert:

- it returns the x coordinate twice: (X, x, z) instead of (x, y, 2)

- it returns a cloned Envelope2D if the transformation is null (instead of a cloned Envelope3D)

History

#1 - 08/17/2016 06:52 PM - Cesar Martinez Izquierdo
- File envelope3D.diff added

#2 - 08/21/2016 11:06 AM - Joaquin del Cerro Murciano

- Target version set to 2.3.0-2442 (rev. org.gvsig.desktop-2.0.149)
- Status changed from New to Fixed

Metido el parche.
Gracias.

#3 - 08/23/2016 11:38 AM - Alvaro Anguix

- Status changed from Fixed to Closed

Files

envelope3D.diff 1.28
